## ros-kinetic-cob-sick-s300 0.7.5

=== debian/changelog ===
ros-kinetic-cob-sick-s300 (0.7.5-3xenial) xenial; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.7.4-3xenial) xenial; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #414 <https://github.com/ipa320/cob_driver/issues/414> from nlamprian/nlamprian/fix-frame-ids
    Remove leading slashes from frame ids
  * Remove leading slashes from frame ids
  * Contributors: Felix Messmer, Nick Lamprianidis, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.7.3-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-sick-s300 (0.7.2-3xenial) xenial; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-sick-s300 (0.7.1-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-sick-s300 (0.7.0-3xenial) xenial; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.15-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.14-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.13-3xenial) xenial; urgency=high

  * Merge pull request #378 <https://github.com/ipa320/cob_driver/issues/378> from mateuszcierpikowski/feature/auto_reconnect
    add auto reconnect when scanner is disconnected
  * add auto reconnect when scanner is disconnected
  * Contributors: Felix Messmer, mateuszcierpikowski

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.12-3xenial) xenial; urgency=high

  * update maintainer
  * Merge pull request #377 <https://github.com/ipa320/cob_driver/issues/377> from fmessmer/fix_sicks300_rate
    remove faulty publish_rate mechanism
  * remove faulty publish_rate mechanism
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.11-3xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #358 <https://github.com/ipa320/cob_driver/issues/358> from ipa-jba/fix/s300-max-range
    [cob_sick_s300] adjust range_max
  * Merge pull request #357 <https://github.com/ipa320/cob_driver/issues/357> from ipa-jba/fix/remove-dead-code
    [cob_sick_s300] remove dead code
  * remove dead code
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * cob_sick_s300: adjust range_max
  * Contributors: Felix Messmer, ipa-fxm, ipa-mig, ipa-uhr-mk

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.10-3xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.9-3xenial) xenial; urgency=high

  * [cob_sick_s300] fix typo in Readme
  * cob_sick_s300: clarify some points about the measurement range fields in the readme
  * cob_sick_s300: add readme
  * cob_sick_s300: remove debug print out
  * cob_sick_s300: properly get offsets and add corresponding docu to source code
  * cob_sick_s300: comment warning about field parameters --> this is currently buggy, old version works better
  * cob_sick_s300: move telegram description to telegram parser file
  * cob_sick_s300: clarify telegram calculation according to telegram listing
  * manually fix changelog
  * Contributors: Matthias Gruhler, ipa-fxm, ipa-mig

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.8-3xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.7-3xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.6-3xenial) xenial; urgency=high

  * replace spaces by tab
  * add try/catch to handle XmlRpc exceptions
  * add time stamp to sick s300 diagnostic messages
  * adjust filter topics
  * Contributors: Frederik Hegger, ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.5-3xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.4-3xenial) xenial; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * catkin_package according to install tags
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-cob-sick-s300 (0.6.3-3xenial) xenial; urgency=high


